Subject: Re: bug#73310: tree-sitter makes cpu 100%

From: Yuan Fu <[email-masked]>
Date: Tue, 10 Dec 2024 23:04:26 -0800

> On Dec 7, 2024, at 4:22 AM, Eli Zaretskii <[email-masked]> wrote:
> 
> Ping! Can anybody reproduce this and debug the problem?
> 
>> Date: Mon, 25 Nov 2024 19:21:49 +0800
>> From: vinurs <[email-masked]>
>> Cc: [email-masked], Eli Zaretskii <[email-masked]>
>> 
>> 
>> Hi Yuan,
>> I installed tree-sitter version 0.24.4 using brew install tree-sitter. 
>> I then tried the following Emacs versions: 
>> 1. emacs-plus@30 
>> 2. emacs-plus@31 
>> 3. Emacs-pretest-30.0.92-universal.dmg
>> (https://emacsformacosx.com/emacs-builds/Emacs-pretest-30.0.92-universal.dmg) 
>> 4. Compiled Emacs myself with the following configuration: 
>> ./configure --with-tree-sitter=/opt/homebrew/opt/tree-sitter --with-native-comp
>> I attempted to reproduce the issue using the following steps: 
>> Move to line 52. Delete all characters following :error-code. Quickly press the spacebar twice. At this point,
>> Emacs freezes.
>> The issue persists across all versions and builds.
>> 
>> ------------
>> 
>> Sincerely,
>> 
>> Haiyuan Zhang, Vinurs
>> 
>> BinaryBrain LLC
>> 
>> 开 2024年11月25日 在 09:48:30, Yuan Fu ([email-masked]) 写到:
>> 
>>> On Nov 10, 2024, at 3:35 AM, vinurs <[email-masked]> wrote: 
>>> 
>>> Because I saw Yuan’s response in the tree-sitter issue thread stating that this bug had already been
>> fixed, so I'm not sure if it’s the same issue anymore.
>>> 
>>> https://github.com/tree-sitter/tree-sitter/issues/3620 
>>> 
>>> ------------ 
>>> Sincerely, 
>>> 
>>> Haiyuan Zhang, Vinurs 
>>> BinaryBrain LLC
>> 
>> Sorry for the late response. I went over the reproduce recipe again, and at least for me, Emacs
>> doesn’t hang anymore. Maybe your Emacs isn’t picking up the right tree-sitter library? 
>> 
>> Yuan

I tried again with v0.24.4 and emacs 30, and still can’t reproduce this. Haiyuan, if you run 

otool -L <emacs-binary>

What’s the location of libtree-sitter? I’m asking to see if there’s an old tree-sitter library on your system that Emacs is picking up over the new library you installed.

Yuan